activemq-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "CW (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (AMQ-5154) amq.js regression - old version in activemq-web, latest version in activemq-web-demo
Date Tue, 22 Apr 2014 19:54:16 GMT

     [ https://issues.apache.org/jira/browse/AMQ-5154?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

CW updated AMQ-5154:
--------------------

    Description: 
According to [http://activemq.apache.org/ajax.html], the javascript client {{amq.js}} should
use one of three adapters (for _jQuery_, _Prototype_, or _Dojo_) named {{amq_*_adapter.js}}.
 These files do not exist in the 5.9.1 {{activemq-web}} Maven artifact.  

On further research, the version of {{amq.js}} that *is* included in 5.9.1 appears to be an
old version.  How old, I'm not sure, but it pre-dates the fix for this JIRA issue:  [https://issues.apache.org/jira/browse/AMQ-1377]

The correct version of {{amq.js}}, as well as the three missing {{amq_*_adapter.js}} adapter
files can all be found in the {{activemq-web-demo}} source tree (see [https://svn.apache.org/repos/asf/activemq/trunk/activemq-web-demo/src/main/webapp/js/]).

Not sure what the best workaround is... perhaps download the amq.js and respective adapter
files separately rather than use the {{activemq-web}} release?

  was:
According to [http://activemq.apache.org/ajax.html], the javascript client {{amq.js}} should
use one of three adapters (for _jQuery_, _Prototype_, or _Dojo_) named {{amq_*_adapter.js}}.
 These files do not exist in the 5.9.1 {{activemq-web}} Maven artifact.  

On further research, the version of {{amq.js}} that *is* included in 5.9.1 appears to be an
old version.  How old, I'm not sure, but it pre-dates the fix for this JIRA issue:  [https://issues.apache.org/jira/browse/AMQ-1377]

The correct version of {{amq.js}}, as well as the three missing {{amq_*_adapter.js}} adapter
files can all be found in the {{activemq-web-demo}} source tree (see [https://svn.apache.org/repos/asf/activemq/trunk/activemq-web-demo/src/main/webapp/js/]).

Not sure what the best workaround is... perhaps download the amq.js and respective adapter
files separately rather than use the {{activemq-web}} release?  Using the {{activemq-web-demo}}
Maven artifact will wind up including all three javascript client libraries (jQuery, Prototype
and Dojo), so that's a less appealing workaround.


> amq.js regression - old version in activemq-web, latest version in activemq-web-demo
> ------------------------------------------------------------------------------------
>
>                 Key: AMQ-5154
>                 URL: https://issues.apache.org/jira/browse/AMQ-5154
>             Project: ActiveMQ
>          Issue Type: Bug
>    Affects Versions: 5.9.1
>            Reporter: CW
>              Labels: ajax, amq.js, javascript
>
> According to [http://activemq.apache.org/ajax.html], the javascript client {{amq.js}}
should use one of three adapters (for _jQuery_, _Prototype_, or _Dojo_) named {{amq_*_adapter.js}}.
 These files do not exist in the 5.9.1 {{activemq-web}} Maven artifact.  
> On further research, the version of {{amq.js}} that *is* included in 5.9.1 appears to
be an old version.  How old, I'm not sure, but it pre-dates the fix for this JIRA issue: 
[https://issues.apache.org/jira/browse/AMQ-1377]
> The correct version of {{amq.js}}, as well as the three missing {{amq_*_adapter.js}}
adapter files can all be found in the {{activemq-web-demo}} source tree (see [https://svn.apache.org/repos/asf/activemq/trunk/activemq-web-demo/src/main/webapp/js/]).
> Not sure what the best workaround is... perhaps download the amq.js and respective adapter
files separately rather than use the {{activemq-web}} release?



--
This message was sent by Atlassian JIRA
(v6.2#6252)

Mime
View raw message